body  {
    position: relative;
    background: linear-gradient(0deg, rgb(211, 234, 253) 0%, #f8f9fa 90%);
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}


footer {
    position: absolute;
    padding-left: 10px;
    padding-right: 10px;
    margin-top: auto;
    background-color: #f8f9fa;
    bottom: 0;
    width: 100%;
    height: 40px;
}

.footer-text {
    display: flex;
    align-items: center;
    justify-content: center;
}


/*registrace, přihlášení a kontakt*/
.h1reg, .h1sign, .h1con, .h1prof { 
    text-align: center;
    width: 100%;
    font-size: 40px;
    padding-top: 5%;
}

.h1res { 
    text-align: center;
    width: 100%;
    font-size: 40px;
    padding-top: 1%;
}

.reg-form, .sign-form {
    padding: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
}

.div-sign {
    text-align: center;
    width: 100%;
    font-size: 20px;
}

.flex-contact {
    display: flex;
    align-items: center;
    margin-top: 100px;
}

/*kontakt - údaje*/
.opening, .telephone, .adress, .email {
    margin-top: 50px;
    text-align: center;
    width: 100%;
    height: 125px;
    vertical-align: top;
    display: inline-block;
}

/*profil*/
.profile-template {
    text-align: justify;
    display: grid;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 125px;
    padding-top: 150px;
}

/*homepage*/
/*aktuality*/
.default-aktuality {
    margin-top: 30px;
    text-align: center;
    width: 100%;
    height: 125px;
    vertical-align: top;
    display: inline-block;
    padding: 50px;
}

.h2-def-aktuality {
    padding: 50px;
}

.def-green-text {
    color: green;
}

.def-red-text {
    color: red;
}

.def-blue-text-1 {
    color: blue;
}

.def-blue-text-2 {
    color: blue;
}

/*právě proběhlo*/
.default-probehlo {
    text-align: center;
    display: grid;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 125px;
    margin-top: 100px;
    padding: 50px;
}

.h2-def-probehlo {
    padding: 20px;
}

.def-text {
    text-align: left;
}